%define major     9
%define libname   %mklibname nghttp3_ %{major}
%define develname %mklibname nghttp3 -d

%define with_docs 0

Summary:        Experimental HTTP/3 client, server and proxy
Name:           nghttp3
Version:        1.7.0
Release:        %mkrel 2
License:        MIT
Group:          System/Libraries
URL:            https://nghttp2.org/nghttp3/
Source0:        https://github.com/ngtcp2/nghttp3/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/ngtcp2/nghttp3/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc

BuildRequires: cmake

%description
nghttp3 is an implementation of RFC 9114 HTTP/3 mapping over QUIC
and RFC 9204 QPACK in C.
This package contains the HTTP/3 client, server and proxy programs.

%package -n %{libname}
Summary:        A library implementing the HTTP/3 protocol
Group:          System/Libraries
Provides:       libnghttp3 = %{version}-%{release}

%description -n %{libname}
libnghttp3 is a library implementing the Hypertext Transfer Protocol
version 3 (HTTP/3) protocol in C.

%package -n %{develname}
Summary:        Files needed for building applications with libnghttp3
Group:          Development/C
Requires:       %{libname} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The libnghttp2-devel package includes libraries and header files needed
for building applications with libnghttp3.

%prep
%autosetup -p1

sed -i 's|lib/cmake/|${CMAKE_INSTALL_LIBDIR}/cmake/|' lib/CMakeLists.txt

%build
%cmake -DENABLE_STATIC_LIB:BOOL=OFF
%cmake_build

%install
%cmake_install

# will be installed via %%doc
rm -f %{buildroot}%{_docdir}/nghttp3/README.rst

%files -n %{libname}
%license COPYING
%{_libdir}/libnghttp3.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README.rst
%{_includedir}/nghttp3/
%{_libdir}/libnghttp3.so
%{_libdir}/pkgconfig/libnghttp3.pc
%{_libdir}/cmake/nghttp3/


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.7.0-2.mga10
+ Revision: 2235388
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 daviddavid <daviddavid> 1.7.0-1.mga10
+ Revision: 2144752
- initial package nghttp3

